Subject: Re: [PATCH v2] t4126: make sure a directory with SP at the end is usable

From: Junio C Hamano <[email-masked]>
Date: Sat, 27 Apr 2024 10:20:59 -0700

Johannes Schindelin <[email-masked]> writes:

> Indeed, it should have been at another layer, but alas, I could not find a
> _better_ layer back when.
> ...
> I would have loved to work on it, and once I find a position where I am
> funded to work meaningfully on Git for Windows again, I will.

Well, I would think you are working meaningfully on GfW.  Putting
that logic somewhere is what GfW person needed to do.  Putting it in
a layer (if there is no existing one, inventing a layer for it and
properly rearranging the systme) is what a "libified Git" minded
person may want to have, but that is far beyond the scope of working
meaningfully on GfW.  That is one of the things "libified Git"
people would need to do.  And if the "libified Git" folks do not do
it themselves but ask for help from GfW folks for their area
expertise, that is a perfectly acceptable way for "libified Git" to
behave, too---after all making "Git as a whole" a better system is a
team effort.

Thanks.